/**
 * Copyright (c) OpenLens Maintainers. All rights reserved.
 * Licensed under MIT License. See LICENSE in root directory for more information.
 */
import React from "react";
import type { Cluster } from "../../../common/cluster/cluster";
export interface ClusterMetricsSettingProps {
    cluster: Cluster;
}
export declare class ClusterMetricsSetting extends React.Component<ClusterMetricsSettingProps> {
    hiddenMetrics: import("mobx").ObservableSet<string>;
    constructor(props: ClusterMetricsSettingProps);
    componentDidMount(): void;
    save: () => void;
    onChangeButton: () => void;
    reset: () => void;
    renderMetricsSelect(): React.JSX.Element;
    render(): React.JSX.Element;
}
